-- Unique Faction ID
local factionid = "DarkStorm Military Technologies";
print ("Loading "..factionid)

CF_Factions[#CF_Factions + 1] = factionid

-- Faction name	
CF_FactionNames[factionid] = "DarkStorm Military Technologies";
-- Set true if faction is selectable by player or AI	
CF_FactionPlayable[factionid] = true;
-- Faction icon preset. Set to nil if you don't have one. Faction will get random default icon.
CF_FactionIcon[factionid] = "FactionIconDarkStorm";
-- Facion icon preset module
CF_FactionIconModules[factionid] = "UnmappedLands.rte";


-- Define weapon sets
-- Different probabilities.
-- 1 - Probability to get a heavy weapon
-- 2 - Probability to get a secondary weapon
-- 3 - Probability to get an explosive
-- 4 - Probability to a second explosive
-- Example:
-- CF_Probabilities[factionid] = {0.35 , 0.30 , 0.60 , 0.30};
CF_LightWeaponSets[factionid] = {"D37 Pistol", "D37-S Pistol"}
CF_LightWeaponSetModules[factionid] = {"DarkStorm.rte", "DarkStorm.rte"};

CF_HeavyWeaponSets[factionid] = {"D35 Assault Rifle", "D35-SG Assault Rifle", "D35-GL Assault Rifle", "D104 Assault Laser", "D104-SG Assault Laser", "D104-GL Assault Laser", "D55 Grenade Launcher", "D72 Flame Thrower", "D74 Cryo Gun"}
CF_HeavyWeaponSetModules[factionid] = {"DarkStorm.rte", "DarkStorm.rte", "DarkStorm.rte", "DarkStorm.rte", "DarkStorm.rte", "DarkStorm.rte", "DarkStorm.rte", "DarkStorm.rte", "DarkStorm.rte"};

CF_Probabilities[factionid] = {1 , 1 , 0.30 , 0.15};

-- Define explosives
CF_ExplosiveSets[factionid] = {"D65 EMP Grenade", "D67 Incendiary Grenade"};
CF_ExplosiveSetModules[factionid] = {"DarkStorm.rte", "DarkStorm.rte"};

-- Define troops
CF_ActorSets[factionid] = {"D2 Tengu Bushi", "D4 Oni Bushi"};
CF_ActorSetModules[factionid] = {"DarkStorm.rte", "DarkStorm.rte"};

--Define brains
CF_BrainPresets[factionid] = "Coalition Brain";
CF_BrainPresetModules[factionid] = "UnmappedLands.rte";

-- Define actors allowed for purchase. All other actors will be gibbed if gibbing option is enabled
CF_AllowedActors[factionid] = {"D6 Yuurei Bushi" , "D43 Yosei" , "D2 Tengu Bushi" , "D2-E Tengu Bushi" , "D2-F Tengu Bushi" , "D2-C Tengu Bushi" , "D4 Oni Bushi" , "D4-E Oni Bushi" , "D4-F Oni Bushi" , "D4-C Oni Bushi" , "Coalltion Brain" , "D80 Yatagarasu" , "Drop Ship MK1" , "Drop Crate", "Small MG Turret", "SAM Site"};

-- Define specific weapons
CF_RocketLaunchers[factionid] = {"D50 Missile Launcher"};
CF_RocketLauncherModules[factionid] = {"DarkStorm.rte"};

CF_SniperRifles[factionid] = {"D105 Long Range Laser", "D103 Electrolaser"};
CF_SniperRifleModules[factionid] = {"DarkStorm.rte", "DarkStorm.rte"};

-- Define dropships
CF_Dropships[factionid] = {"D80 Yatagarasu"};
CF_DropshipModules[factionid] = {"DarkStorm.rte"};

-- Define armored troops. If not defined actor with shield and one handed weapon spawned
CF_ArmorCrabs[factionid] = {"D43 Yosei"};
CF_ArmorCrabModules[factionid] = {"DarkStorm.rte"};

CF_ArmorHumans[factionid] = nil
CF_ArmorHumanModules[factionid] = nil

-- Define armor substitutions
CF_ArmorPistols[factionid] = {"D37 Pistol"}
CF_ArmorPistolModules[factionid] = {"DarkStorm.rte"}

CF_ArmorShields[factionid] = {"Riot Shield"}
CF_ArmorShieldModules[factionid] = {"Base.rte"}

-- Define elite weapon sets. All weapons from this set are given to elite soldier.
CF_EliteWeaponSets[factionid] = {"D37 Pistol", "D35-GL Assault Rifle", "D50 Missile Launcher"}
CF_EliteWeaponSetModules[factionid] = {"DarkStorm.rte", "DarkStorm.rte", "DarkStorm.rte"}

--Define turrets
CF_Turrets[factionid] = {"Gatling Turret"}
CF_TurretModules[factionid] = {"Coalition.rte"}

-- Define last stand mission. Must be null if not present in Unmapped lands to switch to default
CF_LastStandMission[factionid] = nil;
CF_LastStandMissionScene[factionid] = nil;
